import subprocess
import sys
import time

d = ["10", "1.5", "0" ]
subprocess.run( ["python", "chua.py", d[0], d[1], d[2] ] )

plot = subprocess.Popen( ['/usr/bin/gnuplot'], stdin=subprocess.PIPE, stdout=subprocess.PIPE, encoding='utf8', text=True )

plot.stdin.write( """
set term qt enhanced
unset key
set xrange [-25:25]
set yrange [-10:10]
set zrange [-50:50]
set title "Oscilador de Chua" 
splot 'osc.txt' w l lw 2
""" )
plot.stdin.flush()

time.sleep(0.1)

try: 
	while 1 :
		subprocess.run( ["python", "chua.py", d[0], d[1], d[2] ] )
		plot.stdin.write( 'rep\n' )
		plot.stdin.flush()
		time.sleep(0.5)
		a = subprocess.run( ["tail", "-1", "osc.txt" ], capture_output=True )
		arg = a.stdout.decode('utf8')
		# print( arg )
		d = arg.split()
		# print( d )

except KeyboardInterrupt:
	plot.terminate()
	print( "Bye!" )
	sys.exit(0)
